MepMail Docs

/suppressions

GET
/suppressions

Query Parameters

limit?integer

Page size, 1-100 (default 20)

Range1 <= value <= 100
after?string

Cursor: id of the last item of the previous page. Must be an id this list returned; there is no sentinel value.

Formatuuid
before?string

Cursor: id of the first item of the next page (page backwards); same rule as after.

Formatuuid
origin?string

Only suppressions of this origin: bounce, complaint, manual or unsubscribe

Value in

  • "bounce"
  • "complaint"
  • "manual"
  • "unsubscribe"

Response Body

application/json

application/json

curl -X GET "https://example.com/suppressions"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "email": "string",      "origin": "bounce",      "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81",      "created_at": "string"    }  ],  "has_more": true}